MVM

MVM is a molecular graphics program for work with proteins nucleic acids and small molecules. Like many others, MVM provides various tools for visualization of molecular systems, manipulations with separate molecules and creation of images for presentations. The strategy of MVM interface is to build fast, simple, powerful and flexible program. The combination of these features in MVM has emerged from more than ten years experience of molecular modeling work.

An important part of MVM is the interactive interface for ZMM molecular modeling package. MVM provides assembling of molecular systems, tuning tasks and post-calculating processing of ZMM results.


Atoms are the ojects that Mvm directly reads from source PDB files

Objects

Mvm has three types of object: atoms, backbones and surfaces. Styles of presentation and color can be separately assigned for all object types although selection procedure can be applied to atoms only.

Atoms

Atoms are the objects that Mvm directly reads from source PDB files. To change visualization of atoms they must be selected.

In addition to style and color, atoms can have labels. Two types of labels are possible: atom label and residue label. If atom label is shown, four-letter PDB name is displayed near the atom. If residue label is shown, the label of the residue is displayed near C-alpha atom of protein residue or near the first atom of other types of residues (ligands).

Backbone

Peptide backbone presentation is separated from atom system presentation. Mvm recognizes peptides as residues having C-alpha atoms. To change backbone presentation of a residue its C-alpha atom should be selected. Backbone for hidden C-alpha atoms is hidden automatically. Assigning “Natural” color for backbone, colors backbone fragments as their C-alpha atoms.

Surface

Mvm can calculate and render primitive molecular surfaces. It is relatively long procedure, which in the case of systems of more than 100000 atoms can cause program to stop responding. Calculation of surface is not automatic but requires specific command. As a result, after replacing of coordinates surface is not updated. To update surface use Surface/Recalculate command. To change color or style of surface presentation atoms that produce surface elements should be selected.


Export

Import and export

MVM reads conventional PDB files. Peptides and nucleic acids are recognized automatically. CONNECT field is ignored. Valent bonds are assigned basing on interatomic distances. Valent bonds are not assigned for non-adjacent residues. As a result, Cys bonds are not visualized and Cys-bonded chains are treated as separate molecules.

MVM makes a copy of 3D window in Clipboard or stores the image to conventional BMP file.

MVM supports its own file format that allows to save presentation with styles and colors.


MVM file format

MVM supports its own format of coordinate file with extension MGF. It stores not only atomic coordinates, names of atoms etc. but also their presenattion (colors and styles). It can be used as alternative for scripts and also important for Replace_view command.


MVM settings

Parameters governing MVM presentation are stored in MIF files. File default.mif located in MVM directory is loaded automatically as MVM starts and restored at Restart of MVM. Another set of settings can be loaded by File/Load_Settings. Settings can be arranged interactively using View item of main menu.


Replacing view and coordinates

Coordinates of a molecular system and its MVM presentation (styles and clors) can be loaded separately. File->Replace_view allows to substitute current presentation by presentation stored in MGF file. Atom names and coordinates remains unchanged. File->Replace_coordintes allows to substitute coordinates from PDB file without changing of presentation.


Palette

Color settings are tuned by MVM palette. As MVM starts, it loads palette from default.pal file located in MVM directory. Use View/Palette to tune your custom colors. Changing of color names affects execution of commands and scripts, which uses color names!


Appearance

“Material” dialog allows tuning of total brightness and specula characteristics.

“Light direction” dialog allows to select position of light source relative to the screen.

“Z modulation” makes more distant objects colored more dark. User can switch this option off, or assign slight or intensive Z-modulation.


Parameters for objects

User can manually set parameters for thickness of sticks and rods (atom and backbone); width of ribbon (backbone); precision of spheres (atom) and font for labels (atoms).


Dynamically acting parameters

These parameters do not affect static picture but useful for shifting/rotation of molecules.

Draft. Suitable for large molecules with complex presentation. If “Draft” is checked during rotation/transition only backbones of peptides and wireframe of atoms are shown. Original presentation is restored upon release of mouse button.

Highlighting short contacts. Important for manual docking. If checked, overlapping atoms of fixed and free molecules are temporary shown as rods.


Custom lines

In addition to covalent bionds, Mvm can visualize H-bonds and, more general, any connections between atoms. They are controlled by View / Custom Lines from the main menu. Custom lines can be presented as solid, dashed and dotted lines with different colors. Style and color is the same for all custom lines. Additionally the distance between connected atoms can be visualized.

To visualize H-bonds, select atoms/residues/molecules for which H-bonds to be visualized. Go to Custom lines item of menu and select appropriate item. You can visualize all H-bonds with participation of selected atoms, only H-bonds inside the set of selected atoms, or only H-bonds between selected atoms and the other (not selected) part of your system. These operations are also available from the Command interface by “line Hbond”, “line Hbin” and “line Hbout” commands.

If you visualize H-bonds from the Menu, Mvm will show you file, containing the list of all H-bonds found. After definition of H-bonds, pairs of H-bond donor and acceptor atoms will become selected.

Command “line hide” clears all custom lines. Command “line remove” hides only the lines at selected atoms.

To add lines manually, Use View/Custom lines/Add by click item of menu. Mouse cursor will be changed. Click at the first and second atoms to connect. To return to the default mode, click right button.


Utilities

Specific utilities are developed for optimizing presentations and for work with complex molecular structures.

Fit_molecule_to_window command shifts the molecule to the center of screen and assigns screen scale to show all (but not hidden) atoms. NB. This command changes coordinates of atoms independently on their fixed/free status.

Zoom_in and Zoom_out are to change screen scale.

Delete command irreversibly remove molecules with selected atoms from a system. After a deletion, Replacing view or coordinates and operations with structures available for initial system will be impossible.

Also, Mvm supports operations with different conformers of a single system (structures), fixed and free molecules, and “home” (global) coordinate system.


Fixed and free molecules

Molecules loaded can have fixed or free status. Position and orientation of fixed molecules cannot be changed by Mvm with the exception of “Fit molecule to window” command which automatically places the entire system at the center of coordinates.

To change status of a molecule user needs first to select it. Status will be changed if a molecule has at least one selected atom.

Commands Fixall and Unfixall change status for all molecules including hidden ones.


Global coordinate (home) system

As new molecular system is loaded to the Mvm, position and orientation of the first molecule are stored as “home” coordinates. After manipulations user can restore original coordinates using “home go” command. This procedure is effective for manual docking. “Home” coordinates can be changed using “home set” command. This command stores current coordinates of the first molecule as “home” coordinates. Sequential loading of molecules does not affect “home” coordinates that are replaced automatically only upon loading at the blank window.


Structures

As MVM loads a coordinate file it perform check for the presence of several structures. Structures are recognized as repetitive sequence of atoms, possessing the same number of molecules, atoms and residues. Good example is multiple NMR structures, multiple conformations of the same system etc. In addition to common commands, each structure can be selected using select structure command. Commands structure first/last/next/previous show only a single (current) structure. Other structures become hidden. As you change current structure, new current structure is presented as previous structure, (Use structure first, arrange presentation, and change current structure by structure next). Utilities “Split structures” and “Merge structures” allow to switch between serial and multi-structure modes


Select

To perform any operation with atoms, molecules, residues etc. they must be selected.

MVM provides various tools for selection. Most typed of selection are described in section Commands. You can also select separate atoms, residues or molecules by pointing on screen.


Types of selection

Mvm provides various criteria for selection of a set of atoms. Atoms can be selected by their types, four-letter PDB name, style and color of current presentation, chain label, residue name and number. Side- and main chains of proteins can be selected separately.

Some modes of selection (Atom, Molecule, Residue) require pointing at the screen. Activation of these selection model changes your cursor. Move mouse to the object you wish to select and click left button. As you move mouse the closest atom label is indicated at the Mvm status bar. Second click at the object unselects it. To turn back to the default mode, click right mouse button.

Specific commands allow to modify you selection. “Extend to residue” and “Extend to molecule” select the entire residues/molecules that contains at least one selected atom. “Invert selection” unselects previously selected atoms and selects all other atoms. “Select shell” command provides selection of atoms that located nearer the specified variable distance from previously selected atoms. This command is helpful for analysis of the binding site of a ligand.


Modes of selection

By default, each selection is independent from previous one. Exceptions are: “Extend to residue”, “Extend to molecule”, “Invert selection” and “Select shell” selections that modify previous selections. User can apply logical operands “and”, “or” and “not” between selections to change selection mode and make complex selections. Mode of selection can be set by Standard toolbar, command interface and by Util item of the main menu.

NB. After each selection the selection mode is automatically changed to independent.


Visualization interface

In addition to the main menu commands, Mvm provides tools for manipulation with objects. Specific Tool Bars can be shown/hidden from Utilities menu.

3D window has supplementary components: Command Interface, Fast Selection and Sequence Navigation. Horizontal and Vertical splitters control their appearance.


Fast selection

As molecular structure is loaded to Mvm, it is separated by files and molecules and sets of their atoms are stored. Information about files loaded and their molecules is displayed in the table at the left. For files, their names and number of atoms are shown. For molecules, label of the first residues and number of atoms are shown.

User can customize his own sets. After each selection, selected atoms are stored in a temporary set, and it is displayed in the boxes at the top. Left box is editable, so the user can write specific name for the set. To make this selection set permanent, just click “Add” button. New set will appear at the table. To remove a set from the table, highlight it and press “Remove” button. Sets are stored in MVM files.

Fast selection control works in two modes “Select” and “Set free”.

In the “Select” mode, just double click at a row and corresponding set of atom will be selected.

In the “Set free” mode, double click at a row results in setting status “fixed” for all molecules with the exception of molecules containing atom from the set.

The same effect is caused by double click at the 3D window. If both “Select” and “Set free” are disabled, double click at 3D starts distance calculation.


Sequence navigator

Sequence of loaded molecular structure is displayed at the left. Non-standard amino-acids are labeled as “X”.

Use arrow buttons to move along the sequence. Current residue will be highlighted in the sequence; its full label will be displayed at the box, presentation style at the 3D window will be temporary changed to “Rod”.

To select residues, highlight them in the sequence and press “Select” button.

If “Locate” checkbox is checked, left mouse click at 3D window results in highlighting the nearest residue in the sequence and appearance of its label. To select it click “Select” button.


Toolbars

MVM can display the following toolbars: Standard, Style, Color, Structure, Docking, Progress, Hot Scripts and Slicing. Their appearance is controlled by View/ToolBars Item of the main menu.


Standard

Standard toolbar contains buttons: Open (coordinate file), Save (coordinate file), Clear 3D window, Zoom In, Zoom Out, Fit Molecule to Window.

Buttons “And”, “Or”, “Not” and “Ind” control the selection mode. Selection mode determines how previously selected set of atoms affects the result of next selection. The default selection mode is “Ind” – no influence of previous selection. “And”, “Or” and “Not” correspond to logical operations. After each selection the mode is restored to “Ind”.


Color

Pressing of a button changes color of selected object. “N” assigns “default” colors. Colors are controlled by Mvm palette.

Drop down list specifies type of object.

“A” – atom

“B” – backbone

“S” – surface


Style

Pressing of a button changes style of selected atoms to : Hidden, Unvisible, Wireframe, Stick, Rod, Fill.


Slicing

Allows to hide parts of molecular systems according to their Z coordinate (normal to the screen plane).

Scroll bar at the left sets the front visible plane. The value in the box specifies the thickness of visible slice (percentage of total depth). To change the thickness of visible slice use arrow buttons at the left.

Press “A” button to show all (front visible plane is 100% and thickness of visible slice 100%).


Hot Scripts

Quick start of a previously created script assigned as “Hot script”.

Mvm supports 10 hot scripts.

List of Mvm commands can be stored in .scr (script) files.

To execute script quickly, user can set it as “Hot” script.

1. Go to “Utils/Set hot script” and select the hot script to be replaced.

2. In the Open file dialog select the script to be set as hot script.

Script file will be automatically copied to the home Mvm directory.


Docking

Press “G” button to restore “home” position and orientation of the molecular system. Button “S” saves current position and orientation as “home”. Four buttons at the right side of the toolbar allow Fix all molecules (Fa), Fix selected molecules (Fs), Uunfix all (Ua) and Unfix selected molecules (Us).


Structure

A number at the center shows how many structures are loaded. If there is two numbers separated by “/” they show total number of structures and current structure. Arrows allow to change visible structure (first, previous, next, last). Two right buttons allow to show all structures and to show structures as a movie.

Learn more about structures at Structures.


Progress

The toolbar show current status of ZMM controlling windows: Project, Task, Results and of 3D window. Click at toolbar activates corresponding window.

Background color specifies current state of the job.

Yellow – loaded but not execited

Green – successfully executed

Red – failed to execute.

For 3D window background color specifies the type of coordinate file loaded.

Yellow – manually loaded file

Green – project generated file


Commands

Command interface allows to perform most of Mvm commands, with the exception of those control visualization parameters.

Each command must start from a new line.

To insert a new line press Ctrl+Enter.

To execute a command click right mouse button on it, or press Enter.

To execute the entire script press F10 or click “Exec all” button.

Scripts can be separated on episodes by “pause” command.

Unlike “Exec all” that starts from the first line and bypasses “pauses”, “Episode” button (F11) starts script execution from the current line and processes script till the first pause.

Commands can be entered directly from command window, loaded and saved as Mvm script files using “Save to file” and “Load from file” buttons.

Script files are text and can be created/edited by any word processor.


File operating commands

Menu | Command | Description
File/Open | open file.ext | loads coordinate file
File/Save | save file.ext | saves MVM screen in coordinate file
File/Load settings | settings file.mif | loads MVM settings from MVM ini file
File/Clear | restart | restarts program and loads default settings
File/Replace view | view file.mgf | loads view pattern from MGF file
File/Replace coordinates | coord file.pdb | Replaces coordinates without changing view


Selection commands

Menu | Command | Description
Select/all | select all | Selects all (non hidden) atoms
Select/style/style | select style style | Selects atoms presented as style (select style hide selects hidden atoms)
Select/color/color | select color color | Selects atoms colored as color with the exception of hidden atoms (NB color names can be changed by palette)
Select/chain | select chain C | Selects protein chain C.
Select/atom type/type | select atype type | Selects atoms by type (type is C, O, N, H, S or P)
Select/Atom name | select aname .XXXX. | Selects atoms with PDB name XXXX. (Must be bordered by ‘.’)
Select/Residue name | select rtype type | Selects residue by type (type must be identical to PDB specification)
Select/Residue number Select/Residue range | select rnum number numsrat - numend | Selects a residue by number. Multiple numbers are allowed exclusively for this command. To select a range place “ - “ between two numbers.
Select/mainchain Select /sidechain | select main select side | Selects backbone or sidechain atoms
Select/plane | select plane start end | Selects atoms in z axis slice start and end are percentages of total z range
Select/shell | select shell distance | Selects atoms within the distance from previously selected atoms (for ligand docking). distance is integer in angstroms*10 (50 - 5 angstroms)
Select/structure | select structute number | Selects a structure number. If number=0 selects all structures including hidden ones.
Select/extend residue Select/extend molecule | extend residue extend molecule | Selects entire molecules (residues) containing at least one selected atom
Select/Invert selection | invert | Unselects previously selected atoms and selects unselected
Structure toolbar | structure first (last, next, prev, all) | in a system containing several structures shows only a single structure (all structures)
Selection mode
Utils/Selection_Mode/ Ind (or, and, not) | or and not | Changes selection mode. After each selection the selection mode automatically changes to independent.


Molecular manipulations

Menu | Command | Description
Keyboard l, r, d, u | mov axis pos | moves unfixed molecules along axis (x, y, or z) by pos positions
Keyboard arrows, Page_up, Page_down | rot axis angle | rotates all unfixed molecules around axis by angle degrees
Utils/Fix all (Unfix all) | fixall unfixall | sets all molecules fixed sets all molecules free
Utils/Fix molecule (Unfix molecule) | fix unfix | fixes/unfixes molecules containing selected atoms
Utils/Delete molecules | delete | Deletes molecules containing selected atoms
Global coordinate (home) system
Utils/set new home | home set | Save position and orientation as “home”
Utils/go to home | home go | Restore “home” position and orientation
Scale control
View/Zoom in (out) View/ Set screen scale | zoom in (out) zoom x.x | Changes screen scale
Utils/fit molecule to window | fit | Assigns zoom and position of molecules for best view


Presentation commands

Menu | Command | Description
Atom presentation
Atom/style | style style (hide, wireframe, stick, rod, fill) | Changes presentation style of selected atoms to style
Atom/color | color color | Changes presentation color of selected atom to color
Atom/label | label hide (atom, residue) | Shows or hides labels for selected atoms or residues
Backbone presentation
Backbone/style/style | backbone style style (hide, awire, astick, arod, wireframe, strands, stick, rod, ellipse, flat, solid, cylinder, arrow) | Changes backbone presentation for residues containing selected atoms.
Backbone/color/color | backbone color color | Changes color of backbone presentation for residues containing selected atoms.
Surface presentation
Surface /Recalculate | surface recalc | Recalculate surface
Surface/Hide (Dot, Mesh, Transparent, Solid) | surface style style (hide, dot, mesh, trans, solid) | Changes surface presentation
Surface/color/color | surface color color | Changes color of surface


Other commands

Menu | Command | Description
MVM Structure toolbar | structure first/last/next/prev/ all | in a system containing several structures shows only a single structure (all structures)
Z- slicing
Utils/slices/slice back | slice b | Moves visual slice 5% back
Utils/ slices/slice forward | slice f | Moves visual slice 5% forward
Utils/ slices/slice thickness | slice n | Changes slice thickness to n %
Utils/ slices/show all | slice a | Disregards slicing
H-bond lines
View/Custom lines/Hide all | line hide | Hide all custom lines
View/Custom lines/Remove at selected atoms | line remove | Removes custom lines at selected set of atoms
View/Custom lines/ Add H-bonds | line Hbonds | Find H-bonds involving selected atoms and display
View/Custom lines/ Add Internal H-bonds | line Hbin | Find H-bonds inside selected atoms and display
View/Custom lines/ Add External H-bonds | line Hbout | Find H-bonds outside selected atoms and display
- | pause | Terminates execution of episode
- | wait time | Delays script execution by time miliseconds


Ligand Editor

Mvm provides tools for creation/modification of low-weight ligands. Use “Ligand” items of the main menu to assemble ligand structure. Do not care about bond lengths and valent angles. However, all chemical bonds must be specified and all hydrogens must be set explicitly. Then, click “Standard geometry” to test the structure and assign valent geometry. For complex ligands it is recommended to create the structure step-by-step, starting from the simplest derivative, adding functional groups and repeating “Standard geometry” command for each derivative.

As the assembling completed, use “Set label” command from “Utils” item of the main menu to assign the ligand name (3 characters) and save the structure as PDB file with the same name. To finalize the process, create a project from the PDB file, generate it and perform optimization.


ZMM interface

Molecular modeling in ZMM requires several obligatory steps.

1. You must assign the name and location to your project. Use Load/Create button in the Project window. As you activate Project window first time, MVM opens Load/Create dialog automatically. It is strongly recommended to keep each project in a separate directory.

2. Describe your molecular system in the Project window. Then you finished, GENERATE PROJECT. Successful generation means that there are no internal problems in your project and MVM is ready to work with it. You can proceed to Task window.

3. Task window allows to specify that you want to do with your project. First, you must assign a name for your task. You can have any number of tasks for one project. Then finished, you can run task in foreground or background mode. It is recommended to run simple single-minimization tasks in foreground mode, while time consuming MCM and grid tasks in background mode.

4. As task completes you can activate Results window and get the information.


Project window

Processing of the controls located in this window is the first obligatory step in making any model.

1. Project must have a name (shown at the window title).

2. The force field must be selected (default ZMM force field is AMBER)

3. PDB template must be assigned for homology model. For other types of projects corresponding check box must not be checked.

4. Project components (protein chains, ligands, ions and waters) must be assigned.

For more precise tuning of the project components use “Residue” and “Links” folders.

After finishing assembling you project, press “Generate Project” button. ZMM will check and compile your project. If successful, the button “Next to Task” will become active.


Project options

“Project options” group allows to specify a Force Field and PDB Template for homology modeling. Default force field is AMBER.

As you activate Project for the first time, Mvm suggest you to specify location of the project and its name. If you wish to make homology model project, just select PDB template file in the “open” dialog.

The simplest way to start homology model is use “Make from PDB” button.

In this case MVM will create project from a PDB file.

Next, Mvm will compile project and execute the simplest task.


Project components

“Project components” group shows contents of your molecular system.

Available components are: protein chains, ligands, ions and sets of water molecules.

To add/remove components use corresponding buttons.

As you add a protein chain, single Ala residue will be added. To modify the protein sequence, use “Sequence” controls.

To add ligand you need to have its ZMM description (SYM file) or PDB file.

Ions will be added from the list of supported ions. Current version supports Na, K, Ca, Mg, Cl, Br, F

Waters are added as a set of “N” molecules.


Sequence

As you highlight a project component, its settings appear in the sequence group of controls. For protein chain, you can assign the letter code for chain, number of first residue, N- and C-terminal groups.

Chain label and first number can be set for other types of project components (ligands, ions, waters).

The sequence can be edited manually. As finished, press “Apply” button.

NB. After manual editing all advanced residue settings will be lost.

Sequence of components can also be changed using controls in “Residues” folder.


Project: advanced folder.

The main part of the folder is the sequence table. It shows residues of the molecular system and their settings.

Color diagram helps to navigate at the sequence.

The group of controls at the top allows to change sequence.

Buttons at the bottom of the table are to assign residue status (treatment of residues by ZMM).


To change the residue numbering select certain cell in the “Laber” row and click right mouse button

Residue settings

Advanced residue settings include:

1. Ionization status of Asp, Glu, His, Lys and Arg residues.

2. Choice of all/united atom versions of residues.

3. Non-linear numbering.

4. Insertion and deletion of residues.

5. Replacements and introduction of non-standard residues.

To change ionization status or all/united atom versions of residues of the entire sequence, click at one of three upper rows of the sequence table and then press right mouse button. Make a selection from the menu, which appears.

To change, insert or delete an individual residue, click at the corresponding column of sequence table. The type of the residue, its number and insertion code will appear at the boxes above the table. Edit them or select proper residue type from the list. Press corresponding button.

NOTES

Ligands and ions, which are separate project components cannot be changed here. Chain labels are properties of the project components rather then of individual residues. They are also not changed in advanced folder. It is not possible to change waters to other residues. It is also not possible to remove all residues from a chain.

To change ions, ligands, chain labels and to remove entire project components, go to “General” folder.


Residue status

ZMM can threat residues in several ways. To tune ZMM for optimal work, especially in homology models, use this folder.

ZMM residue status.

“Elastic” status corresponds to flexible bond angles and torsions.

“Flexible” status corresponds to rigid bond angles and flexible torsions. This is default residue status for the most common use.

“Movable” residues have flexible torsions and coordinates of the first atoms. This status is useful for modeling with insertions and deletions.

“Fixed” residues are conformational rigid but movable in space.

“Rigid” residues are treated as sets of fixed atoms. Their coordinates are taken from PDB template. Available only in homology modeling.

“Excluded” residues are not calculated and do not affect conformational energy at all.

Status of a single residue can be changed by selecting a cell and right mouse click. To change status of many residues select cells in the desired row and press “Set” button.

The last row shows residues selected at 3D window and together with button “Take from 3D select” provides interface between Project and 3D windows. Important for homology modeling.


Interaction with 3D window

Selections made at 3D window are shown at the bottom line of the sequence table. This requires loading of template or some project-related PDB file at the 3D window.

To assign specific residue status for selected residues, highlight the destination row at the table by click at the right cell of the row and click “Take from 3D” button.

To make selection at 3D window, highlight the “3D select” or its part, click “Set” and “Select at 3D” buttons.

To change status of a single residue, click left mouse button to highlight and next, right button to change.

Ligand docking calculations often require building of a double shell model. Double shell can also be created around any set of residues. Residues inside the 6 angstroms shell are assigned flexible status; residues in 12 angstrom shell are assigned fixed status. Other residues are excluded. This greatly reduces computational time.

To create a double shell model, set all residues excluded; assign residues to at the center of the model (ligand) flexible status and click “Double shell” button. Mvm will load template file and assign status for all residues basing on their position relative to the central residues.


S-S bonds

“S-S bonds” group allows to form and break disulfid bonds in proteins. To break an existent bond select it at the listbox and press “Break S-S bond” button. To form a new bond select two Cys residues at the list boxes and press “Make S-S bond”. Note that only free cysteines are listed in the list boxes.


Custom lines

Inter-residue links

Some ligands are covalently attached to protein residues. During the project generation from a template, these non-standard bonds are described in the table. Manual modification of the table fields is recommended for advanced users only.


Selection form

Tuning of ZMM jobs and analysis of results often require of specification of atom or residue.

As the procedure of atom/residue selection starts, Project, Task and Result windows become inactive, but operations with 3D window are possible. If a PDB file related to project is loaded, mouse click puts the nearest atom into the selection form.

Residue also can be selected using the pop-down list at the bottom. For selection of a specific atom it is obligatory to load project-related PDB file.


Background and Foreground jobs

ZMM jobs can be started from MVM in two ways.

It is recommended to run simple and short jobs as foreground. While the foreground job executes, MVM is inactive, waiting for job termination.

Long MCM jobs are better to run as background job. As such job starts, it becomes separate from MVM, allowing normal work and termination of MVM. Despite, MVM has a control over background job performance. After each successful (energy down) minimization the resulting structure loads to 3D window. If a project-related structure was previously load, the new structure substitutes coordinate without affecting the presentation style. If no, the 3D window is cleaned and the structure loads.

After the background job start, “Background job control window appears. It allows to:

- suppress/allow automatic update of the best structure found;

- control the scale and orientation of the structure;

- termination of the background job.

Used also can disable MVM control over the background job.

To enable the control over the job that is already running:

1. Load the project and task

2. Activate the Background job control window

3. Enable the control


Task Window

Tuning of ZMM tasks is the most important and the most complex procedure. MVM task window includes five folders.

Folder “General” contains the most common controls. For simple calculations you probably do not need use other folders.

Folder “Starting geometry” provides tools to specify initial conformation of your system. It allows to set explicitly the values of specified coordinates, assign standard conformations for protein backbone and import coordinates form other files.

Folder “Constraints” allows to impose specific limitations of conformational freedom. Constraints of various types can be used to take into account experimental data.

Folder “Parameters” controls ZMM job performance: accuracy, sampling method, types of output etc.

Folder “Grid” allows to launch stream calculations with randomly or systematically varied starting geometry and constraints.


Excluded atoms

In addition to excluding whole residues (see Residue settings) ZMM can exclude specific atoms. This is useful for testing of homology models based on templates missing some atoms.

To exclude atom press “Add” button and the procedure for atom selection will be launched. To copy list of excluded atom from another ZMM task, press “Import”. Press “Clear” to remove all contents of list of excluded atoms.


Biasing Structure

“Biasing structure” represents a part of “Constraint” folder and show constraints that help to maintain protein geometry.

It contains two types of constraints: those imposing alpha helical or beta sheet H-bonds and those provide similarity with template in homology modeling.

The latter group includes constraints for alpha carbons (Pin CA), constraints for water molecules (Pin H2O) and constraints for all heavy atoms (also applicable for ligands).

Presence of both “Start” and “End” parameters indicates that constraints will be imposed for all residues from “Start” to “End”.

Presence of only “Start” parameter indicate that constrains will be imposed to single residue.

Absence of parameters indicates that constraints will be imposed to entire system.

For helical constraints both parameters are obligatory. They specify start and end H-bond donating residues.

For beta sheets constraints the “Start” and “End” parameters specify the first pair of H-bonded residues and the “number” specifies the number of constraints imposed.

To introduce new constraints press “Add” button and select the constrain type. Next, the procedure of selection of residues will be launched.

To copy “Biasing structure” constraints from another ZMM task, press “Import” button.


“Atom-atom constraints” represents a part of “Constraints” folder – distance constraints between two specified atoms. It is useful to clamp specific interactions.

Click at the “Add” button launch procedure of selection of two atoms and finally introduce new constraint. To modify contents of a cell, highlight it and press right mouse button.

“Import” button activates file opening dialog to select another task file, from which atom-atom constraints will be taken.

You can specify these constraints manually using “Constraints” folder.


Residue settings

“Residue settings” group of controls specify the way ZMM treat specific residues during the optimization.

There are four options:

1. Exclude residue (REX). Atoms of excluded residues are skipped in all energy calculations, se they do not affect the system at all.

2. Fixed residues (FIX). Generalized coordinates of these residues are not allowed to change bur they are included in energy calculations and affect conformation of other parts of the system.

3. Flexible residue (default value for single minimization). These residues can change their conformations during the optimization but not randomized in MCM search.

4. Randomized residues (RDR, default state for MCM optimization). Flexible residues that, in addition, are randomized in MCM.

For protein chains, residue settings can be assigned different for backbone and side-chain.

Presence of both “Start” and “End” parameters in a line specifies that a status will be assigned for all residues from “Start” to “End”.

If only “Start” parameter is present, a status will be assigned for single residue.

Absence of parameters in a line says that status will be assigned for entire system.

To introduce new line press “Add” button. Pop-down menu will appear. It provides you the following options:

1. Exclude – assign excluded status.

2. Fix – assign fixed status.

3. Fix mainchain – assign fixed status for backbone torsions only.

4. Fix particle – assign fixed status for position and orientation of a molecule but does not affect internal coordinates.

5. Relax sidechain – assigns flexible status for sidechain torsions.

6. Randomize – assign randomized status.

7. Randomize sidechain – assign randomized status for sidechain torsions only.

8. Set randomization center – assign randomized status for all residues in some shell around specified residue(s). The size of the shell is controlled by ZMM parameter THARL (default value is 6 angstroms).

After selection of an item, the procedure of residue selection is launched.

Press “Import” button to copy residue status from another ZMM task.


Task options

“Task options” is group of controls allows to operate with task files (“Load/Create”, “Save as…”, “Delete” and “Clear” buttons).

“Optimization level” parameter has three possible values:

- No optimization. ZMM calculates only the energy of starting conformation. This value is useful for testing. Before start long task it is recommended to run it without optimization to make sure that all controls are defined properly.

- 1 minimization. ZMM takes initial conformation and minimizes the energy looking for the closest energy minimum.

- MC minimization. Long and most powerful method. ZMM explores many energy minima

“EM Precision” and “MCM Precision” control convergence criteria for corresponding optimization levels. In foot, they assign specific ZMM parameters but provide common sense interface rather than digital specification. Note that MCM optimization is a chain of energy minimization. So, both controls affect MCM trajectory.

“Starting geometry” is useful in simple situation to take the initial conformation from existent PDB file, or from results of previous calculations (ZMM file).

Not that “custom” label in “Starting geometry” “EM Precision” and “MCM Precision” controls indicate, that corresponding fields are not standard ones.


Starting geometry

Starting geometry is important part for ZMM jobs. Since even powerful methods cannot find global energy minimum for a complex system, the results depend on the initial geometry. Simple starting geometry can be set from the “General” folder. The folder “Starting geometry” allows manual tuning.

The editor window at the pot allows user to type (paste from other files) starting geometry descriptions. As user clicks mouse at this field, the command at the line will be found at the list “Format” and its brief description will appear. The category navigator provides easy access for the specific groups of starting geometry descritpions.

Press “Import” button to load starting geometry field from another ZMM task.

Some starting geometry commands need to specify atom/residue. If a PDB file related to the project is loaded in 3D window, you can click at the atom in 3D window and next click right mouse button at the starting geometry field. The ZMM label of the atom will appear.


Constraints

Constraints are used to reduce the flexibility of a molecular system. They are important for modeling of proteins.

Atom-atom distance constraints and constraints supporting protein folding can be set at the “General” folder.

The editor window at the pot allows user to type (paste from other files) constraints descriptions. As user clicks mouse at this field, the command at the line will be found at the list “Format” and its brief description will appear. The category navigator provides easy access for the specific groups of constraints.

Press “Import” button to load constraints field from another ZMM task.

Many constraints need to specify atom/residue. If a PDB file related to the project is loaded in 3D window, you can click at the atom in 3D window and next click right mouse button at the constraints field. The ZMM label of the atom will appear.


Parameters

Parameters are integer or float values that control performance of a ZMM task. Users do not need to set all the parameters because they have default values.

Parameters controlling the level of optimization (KOPT), energy minimization precision (LIMIT) and MCM precision (LIMIN) can be set at the “General” folder.

The category navigator provides easy access for the specific groups of parameters. . As you click at the list of parameters its brief description appears.

The non-default parameters specified in the task are shown at the right.

Use button to “Import” to load parameters from another ZMM task.

Use button to “Add” to create an empty line in the table. Click at the table to modify.

Use button “Remove” to clear (set default value) for the highlighted parameter.

Double click at the list of parameters (at the left) places the parameter in the table of parameters of the task (right). Click at the table to modify.


Grid

Grid is used to perform calculation for a stream of starting geometries. The internal coordinates in the grid can be changed regularly (Regular grid) or randomly (random grid).

The editor window at the pot allows user to type (paste from other files) the grid description. Format of the field for different types of grid is shown at the bottom-right.

The list of internal coordinates that can be involved in grid is shown at the bottom-left. Double-click at the list places the coordinate highlighted into the grid field.

Use “Import” button to load grid from another ZMM task.


Results: general folder

This window shows ZMM listing for the completed job and allows to visualize obtained structures. Select the file and conformer(s) to be visualized. If visualization mode is set to “Add” the conformers will be added to the currently loaded structure. In the “Replace” mode Mvm will clear 3D window before loading.

If a project-related structure is already loaded to 3D window, you can use “Current style” mode of visualization to replace only coordinates preserving current visualization scheme. If you load multiple conformers in this mode, Mvm turns to the “continuous movie” mode. It generates and displays conformers one by one in a circle. The movie is terminated as user clicks mouse somewhere at the command interface. During the movie, you can move/rotate the system and change visualization.

NOTE

Surfaces are not updated during the movie.


Results: single conformer analysis

The group of controls at the top of the analysis folder of results window allows to analyze properties of specific conformers.

Select the file, the conformer number and the type of request. For “Residue-system interactions” and “Residue-residue interactions” you must specify the residue(s) for which the analysis should be done. Press “Show” button to send the request to ZMM. The listing file will be generated and displayed.


Results: Statistics

To perform statistical analysis for entire file, containing many conformers, use statistical indexes.

Select the file, for which the analysis should be done. Type the indexes in the edit box. One index per line is allowed. Controls at the bottom show available indexes and their descriptions. Enter indexes with the threshold value to find conformers matching the criteria. Without a threshold, ZMM will generate statistics for all conformers in the selected file. For ligand-receptor statistics, specific (ligand) residues must be specified at the “Start” and “End” boxes at the top. Click right mouse button at these boxes to select the residues.

Click “Show statistics” button to send the request to ZMM. Statistics file will be generated and displayed.


Generation of the project from PDB template.

If there is a molecule loaded, the project will be generated from it. Otherwise you will be asked to load a template. This procedure has several options.

  1. MVM will ask you to give specific project name and location.
  2. MVM will ask you to remove explicit waters.
  3. MVM will ask you to choice between all-atom and united atom models.
  4. MVM will ask you about the ionization status of ionizable residues.

After ZMM processing, the non-optimized structure is loaded.


Protein -> Single minimization.

Performs an energy minimization of the selected structure with ZMM defaults.


Protein ->MC optimization

Performs MC optimization of the selected structure. Alpha carbons of template and all heavy atoms of ligands are preserved by PIN constraints.


Proteins -> Multi-step relaxation.

Performs multi step relaxation of the selected structure.


Protein -> mutate a residue.

Generates new project with a substituted residue.


Protein -> Unconstrained search.

MC-optimizes the structure without constraints. It is strongly recommended to use well-optimized structure as the starting point.


Ligand -> Calculate ligand binding energy

Calculates interaction of the specified ligand with the rest of the system in a specified structure.


Ligand -> Optimize ligand binding

Performs MC-optimization with sampling only ligand and nearly located residues.


Ligand -> double shell

Creates double-shell project for the specified ligand.


Ligand -> Change ligand

Atarts ligand modification with the MVM ligand Editor. After, creates new project with the modified ligand.


About

About This Sample

This sample was put together by Rob Chandler
robert@helpware.net
http://helpware.net